### Property

# Ide Workbench:context

#### Declaration

    property context: Ide.Context [ read, write, construct-only ]

#### Description

The “context” property is the `IdeContext` for the project.

The `IdeContext` is the root `IdeObject` used in the tree of objects representing the project and the workings of the IDE.

Type: | `IdeContext`
Available since: | 3.32

Getter method | `ide_workbench_get_context()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes